<script setup lang="ts">
import type { Fabrique } from '@/entities';
import router from '@/router';
import { useFabriqueStore } from '@/stores/fabrique';
import { storeToRefs } from 'pinia';
import { onMounted } from 'vue';


const store = useFabriqueStore();
const { regions } = storeToRefs(store);
const { fabriques,selected } = storeToRefs(store);

const { selectFabrique } = useFabriqueStore();

const select = (fabrique:Fabrique) => {
        selectFabrique(fabrique);
        router.push('/')
    
}

onMounted(() => {
    store.fetchRegions();
    store.fetchFabriques();
});


</script>
    
<template>
    <div class="select-fabrique-collapse">
        <el-collapse accordion>
            <el-collapse-item v-for="region of regions" :title="region.name">
                <div class="fabrique"
                    v-for="filteredFabrique in fabriques.filter(filteredFabrique => filteredFabrique.region.id == region.id)"
                    :class="store.selected ? ((filteredFabrique.id == store.selected.id) ? 'selected-fabrique' : '') : ''"
                    @click="select(filteredFabrique)">
                    <p>
                        - {{filteredFabrique.name}}
                    </p>
                </div>
            </el-collapse-item>
        </el-collapse>
    </div>
</template>

<style lang="scss" scoped>
@import "../assets/variables.scss";

.el-collapse-item__header {
    background-color: $primary !important;
    color: white !important;
    padding-left: 15px;

    &:hover {
        background-color: $primary-lighter !important;
    }
}

.el-collapse-item__wrap {
    border: 1px solid $primary;
}

.el-collapse-item__content {
    padding: 0 !important;
}


.selected-fabrique {
    color: $primary;
}

.fabrique {
    padding-left: 25px;
    padding: 13px;

    &:hover {
        cursor: pointer;
        background-color: $secondary-light;
    }

    &:active {
        background-color: $secondary;
        // background-color: $secondary; 
    }

    p {
        margin: 0;
    }
}
</style>